class SwagShopError(Exception):
    def __init__(self, message):
        super().__init__(message)
        self.message = message

class ConfigError(SwagShopError):
    def __init__(self, message, **kwargs):
        formatted_message = message % kwargs
        super().__init__(formatted_message)
        self.message = formatted_message

__all__ = ["SwagShopError", "ConfigError"]
